<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" />

    <title>
        MicroCMS - {% block title %}{% endblock %}
    </title>

    <link href="{{ asset('/lib/bootstrap/css/bootstrap.min.css') }}"    rel="stylesheet" />
    <link href="{{ asset('/css/style.css') }}"                          rel="stylesheet" />
</head>
<body>
    <div class="container">
        <nav class="navbar navbar-default navbar-fixed-top navbar-inverse" role="navigation">
            <div class="container">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-collapse-target">
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="{{ path('home') }}">MicroCMS</a>
                </div>
                <div class="collapse navbar-collapse" id="navbar-collapse-target">
                    <ul class="nav navbar-nav navbar-right">
                        {% if app.user and is_granted('ROLE_ADMIN') %}
                            <li class="{% if adminMenu is defined %}active{% endif %}"><a href="{{ path('admin') }}"><span class="glyphicon glyphicon-cog"></span> Administration</a></li>
                        {% endif %}
                        {% if is_granted('IS_AUTHENTICATED_FULLY') %}
                            <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                <span class="glyphicon glyphicon-user"></span> Welcome, {{ app.user.firstname }} {{ app.user.lastname }} <b class="caret"></b></a>
                                <ul class="dropdown-menu">
                                    <li><a href="{{ path('logout') }}"><span class="glyphicon-log-out"></span> Log out</a></li>
                                </ul>
                            </li>
                        {% else %}
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                    <span class="glyphicon glyphicon-user"></span> Not connected <b class="caret"></b>
                                </a>
                                <ul class="dropdown-menu">
                                    <li>
                                        <a href="{{ path('login') }}"><span class="glyphicon glyphicon-log-in"></span> Log in</a>
                                    </li>
                                </ul>
                            </li>
                        {% endif %}
                    </ul>
                </div>
            </div><!-- /.container -->
        </nav>

        <div id="content" class="row">
            {% block content %}{% endblock %}
        </div>


        <footer class="footer row">
            <a href="https://github.com/bpesquet/OC-MicroCMS">MicroCMS</a> is a minimalistic CMS built as a showcase for modern PHP development.
        </footer>
    </div>
    
    <!-- jQuery -->
    <script src="{{ asset('/lib/jquery/jquery.min.js') }}"></script>
    <!-- JavaScript Boostrap plugin -->
    <script src="{{ asset('/lib/bootstrap/js/bootstrap.min.js') }}"></script>
</body>
</html>
